Subject: [netmod] YANG 1.0 behavior for leafref

From: Andy Bierman <[email-masked]>
Date: Tue, 15 Sep 2015 15:15:20 -0700

Hi,

The leafref text was changed to allow the require-instance-stmt in YANG 1.1

RFC 6020, sec. 9.9. is quite clear that this sub-statement is not allowed.

9.9.1.  Restrictions

   A leafref cannot be restricted.

9.13.1.  Restrictions

   An instance-identifier can be restricted with the "require-instance"
   statement (Section 9.13.2).

However, the ABNF on page 149 clearly contradicts the text in 9.9.1:

  leafref-specification =
                         ;; these stmts can appear in any order
                         path-stmt stmtsep
                         [require-instance-stmt stmtsep]

   path-stmt           = path-keyword sep path-arg-str stmtend

   require-instance-stmt = require-instance-keyword sep
                            require-instance-arg-str stmtend

So which normative text is correct?
Is instance-required-stmt allowing in YANG 1.0?

Andy

---

From: Anees Shaikh <[email-masked]>
Date: Tue, 15 Sep 2015 16:28:37 -0700

Isn't there already a verified errata for this same issue with the same
recommendation (Errata ID: 2949) ?

-- Anees

On Tue, Sep 15, 2015 at 3:15 PM, Andy Bierman <[email-masked]> wrote:

> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>
>

---

From: Andy Bierman <[email-masked]>
Date: Tue, 15 Sep 2015 19:44:07 -0700

> recommendation (Errata ID: 2949) ?
yes -- sorry for bringing it up.
I should have checked there first.

-- Anees

Andy